KDE 4.7 PyKDE API Reference

- KDE's Python API

# KInputDialog Namespace Reference

`from PyKDE4.kdeui.KInputDialog import *`

## Detailed Description

The KInputDialog namespace provides simple dialogs to get a single value from the user. The value can be a string, a number (either an integer or a float) or an item from a list.

Author:
  Nadeem Hasan <nhasan@kde.org>

## Functions
float, bool ok | getDouble (QString caption, QString label, float value=0, float minValue=-DBL_MAX, float maxValue=DBL_MAX, float step=0.1, int decimals=1, QWidget parent=0)
float | getDouble (QString caption, QString label, float value=0, float minValue=-DBL_MAX, float maxValue=DBL_MAX, float step=0.1, int decimals=1, bool ok=0, QWidget parent=0)
int, bool ok | getInteger (QString caption, QString label, int value=0, int minValue=INT_MIN, int maxValue=INT_MAX, int step=1, int base=10, QWidget parent=0)
int | getInteger (QString caption, QString label, int value=0, int minValue=INT_MIN, int maxValue=INT_MAX, int step=1, int base=10, bool ok=0, QWidget parent=0)
QString, bool ok | getItem (QString caption, QString label, QStringList list, int current=0, bool editable=0, QWidget parent=0)
QStringList, bool ok | getItemList (QString caption, QString label, QStringList list=QStringList(), QStringList select=QStringList(), bool multiple=0, QWidget parent=0)
QString, bool ok | getMultiLineText (QString caption, QString label, QString value=QString(), QWidget parent=0)
QString, bool ok | getText (QString caption, QString label, QString value=QString(), QWidget parent=0, QValidator validator=0, QString mask=QString(), QString whatsThis=QString(), QStringList completionList=QStringList())

## Function Documentation

float, bool ok getDouble | ( | QString | caption,
|  | QString | label,
|  | float | value=0,
|  | float | minValue=-DBL_MAX,
|  | float | maxValue=DBL_MAX,
|  | float | step=0.1,
|  | int | decimals=1,
|  | QWidget | parent=0
| ) |  |  |

This is an overloaded convenience function. It behaves exctly like the above function.

float getDouble | ( | QString | caption,
|  | QString | label,
|  | float | value=0,
|  | float | minValue=-DBL_MAX,
|  | float | maxValue=DBL_MAX,
|  | float | step=0.1,
|  | int | decimals=1,
|  | bool | ok=0,
|  | QWidget | parent=0
| ) |  |  |

This is an overloaded convenience function. It behaves exctly like the above function.

int, bool ok getInteger | ( | QString | caption,
|  | QString | label,
|  | int | value=0,
|  | int | minValue=INT_MIN,
|  | int | maxValue=INT_MAX,
|  | int | step=1,
|  | int | base=10,
|  | QWidget | parent=0
| ) |  |  |

This is an overloaded convenience function. It behaves exactly same as above except it assumes base to be 10, i.e. accepts decimal numbers.

int getInteger | ( | QString | caption,
|  | QString | label,
|  | int | value=0,
|  | int | minValue=INT_MIN,
|  | int | maxValue=INT_MAX,
|  | int | step=1,
|  | int | base=10,
|  | bool | ok=0,
|  | QWidget | parent=0
| ) |  |  |

This is an overloaded convenience function. It behaves exactly same as above except it assumes base to be 10, i.e. accepts decimal numbers.

QString, bool ok getItem | ( | QString | caption,
|  | QString | label,
|  | QStringList | list,
|  | int | current=0,
|  | bool | editable=0,
|  | QWidget | parent=0
| ) |  |  |

Static convenience function to let the user select an item from a list. caption is the text that is displayed in the title bar. label is the text that appears as the label for the list. list is the string list which is inserted into the list, and current is the number of the item which should be the selected item. If editable is true, the user can enter his own text.

Parameters:

  | caption | Caption of the dialog
  | label | Text of the label for the list
  | list | List of item for user to choose from
  | current | Index of the selected item
  | editable | If true, user can enter own text
  | ok | This bool would be set to true if user pressed Ok
  | parent | Parent of the dialog widget

Returns:
  Text of the selected item. If editable is true this can be a text entered by the user.

QStringList, bool ok getItemList | ( | QString | caption,
|  | QString | label,
|  | QStringList | list=QStringList(),
|  | QStringList | select=QStringList(),
|  | bool | multiple=0,
|  | QWidget | parent=0
| ) |  |  |

Static convenience function to let the user select one or more items from a listbox. caption is the text that is displayed in the title bar. label is the text that appears as the label for the listbox. list is the string list which is inserted into the listbox, select is the list of item(s) that should be the selected. If multiple is true, the user can select multiple items.

Parameters:

  | caption | Caption of the dialog
  | label | Text of the label for the list
  | list | List of item for user to choose from
  | select | List of item(s) that should be selected
  | multiple | If true, user can select multiple items
  | ok | This bool would be set to true if user pressed Ok
  | parent | Parent of the dialog widget

Returns:
  List of selected items if multiple is true, else currently selected item as a QStringList

QString, bool ok getMultiLineText | ( | QString | caption,
|  | QString | label,
|  | QString | value=QString(),
|  | QWidget | parent=0
| ) |  |  |

Static convenience function to get a multiline string from the user.

caption is the text that is displayed in the title bar. label is the text that appears as a label for the line edit. value is the initial value of the line edit. ok will be set to true if user pressed Ok and false if user pressed Cancel.

Parameters:

  | caption | Caption of the dialog
  | label | Text of the label for the line edit
  | value | Initial value of the line edit
  | ok | This bool would be set to true if user pressed Ok
  | parent | Parent of the dialog widget

Returns:
  String user entered if Ok was pressed, else a null string

QString, bool ok getText | ( | QString | caption,
|  | QString | label,
|  | QString | value=QString(),
|  | QWidget | parent=0,
|  | QValidator | validator=0,
|  | QString | mask=QString(),
|  | QString | whatsThis=QString(),
|  | QStringList | completionList=QStringList()
| ) |  |  |

Static convenience function to get a string from the user.

caption is the text that is displayed in the title bar. label is the text that appears as a label for the line edit. value is the initial value of the line edit. ok will be set to true if user pressed Ok and false if user pressed Cancel.

If you provide a validator, the Ok button is disabled as long as the validator doesn't return Acceptable. If there is no validator, the Ok button is enabled whenever the line edit isn't empty. If you want to accept empty input, create a trivial QValidator that always returns acceptable, e.g. QRegExpValidator with a regexp of ".*".

Parameters:

  | caption | Caption of the dialog
  | label | Text of the label for the line edit
  | value | Initial value of the line edit
  | ok | This bool would be set to true if user pressed Ok
  | parent | Parent of the dialog widget
  | validator | A QValidator to be associated with the line edit
  | mask | Mask associated with the line edit. See the documentation for QLineEdit about masks
  | whatsThis | a QWhatsThis text for the input widget.
  | completionList | a list of items which should be used for input completion

Returns:
  String user entered if Ok was pressed, else a null string